CancelException (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode, class: CancelException

Package org.apache.geode

# Class CancelException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.geode.GemFireException
org.apache.geode.cache.CacheRuntimeException
org.apache.geode.CancelException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `CacheClosedException`, `DistributedSystemDisconnectedException`, `ForcedDisconnectException`, `FutureCancelledException`, `GatewayCancelledException`, `OplogCancelledException`, `OutOfOffHeapMemoryException`, `PoolCancelledException`, `TXManagerCancelledException`

public abstract class CancelException extends CacheRuntimeException
Abstract root class of all GemFire exceptions representing system cancellation

Since:
  GemFire 6.0
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final long`
  `serialVersionUID`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CancelException()`
  for serialization
  `CancelException(String message)`
  Create instance with given message
  `CancelException(String message, Throwable cause)`
  Create instance with given message and cause
  `CancelException(Throwable cause)`
  Create instance with empty message and given cause

- ## Method Summary

  ### Methods inherited from class org.apache.geode.cache.CacheRuntimeException

  `toString`

  ### Methods inherited from class org.apache.geode.GemFireException

  `getRootCause`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### serialVersionUID

    public static final long serialVersionUID
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CancelException

    public CancelException()
    for serialization

  - ### CancelException

    public CancelException(String message)
    Create instance with given message
    Parameters:
      `message` - the message

  - ### CancelException

    public CancelException(String message, Throwable cause)
    Create instance with given message and cause
    Parameters:
      `message` - the message
      `cause` - the cause

  - ### CancelException

    public CancelException(Throwable cause)
    Create instance with empty message and given cause
    Parameters:
      `cause` - the cause